## licentia 0.0+p24.04+vunstable+git20251125.1314

=== debian/changelog ===
licentia (0.0+p24.04+vunstable+git20251125.1314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 13:14:42 +0000

licentia (0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000
