## licentia 0.0+p24.04+vunstable+git20251209.0248

=== debian/changelog ===
licentia (0.0+p24.04+vunstable+git20251209.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 02:48:06 +0000
