=== debian/control ===
Source: licentia
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/sdk/licentia
Vcs-Git: https://invent.kde.org/neon/neon-packaging/licentia.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/licentia
Maintainer: Neon CI <neon@kde.org>

Package: licentia
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Choose a license for your project
 Licentia helps you choose a license for your project, it allows you
 to check the license's permissions, conditions and limitations, how
 to add said license to your project and read the full license.
